package com.emr.dao;

import com.emr.entity.Emr_Archive_Detail;

public interface Emr_Archive_DetailMapper {
    /**
     * 根据主键删除记录
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Emr_Archive_Detail record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Emr_Archive_Detail record);

    /**
     * 根据主键查询记录
     * @param id
     * @return
     */
    Emr_Archive_Detail selectByPrimaryKey(Integer id);

    /**
     * 根据主键和可选字段修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Emr_Archive_Detail record);

    /**
     * 根据主键修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Emr_Archive_Detail record);
}